log4cplus::thread::impl::SharedMutex Class Reference

`#include <syncprims-impl.h>`

Inheritance diagram for log4cplus::thread::impl::SharedMutex:
[legend]
Collaboration diagram for log4cplus::thread::impl::SharedMutex:
[legend]

## Public Member Functions

| SharedMutex ()
| ~SharedMutex ()
void | rdlock () const
void | wrlock () const
void | rdunlock () const
void | wrunlock () const

## Additional Inherited Members

Protected Member Functions inherited from log4cplus::thread::SharedMutexImplBase
| ~SharedMutexImplBase ()

## Detailed Description

Definition at line 53 of file syncprims-impl.h.

## Constructor & Destructor Documentation

## SharedMutex()

log4cplus::thread::impl::SharedMutex::SharedMutex | ( |  | ) |

inline

Definition at line 44 of file syncprims-cxx11.h.

## ~SharedMutex()

log4cplus::thread::impl::SharedMutex::~SharedMutex | ( |  | ) |

inline

Definition at line 56 of file syncprims-cxx11.h.

## Member Function Documentation

## rdlock()

void log4cplus::thread::impl::SharedMutex::rdlock | ( |  | ) | const

inline

Definition at line 62 of file syncprims-cxx11.h.

## rdunlock()

void log4cplus::thread::impl::SharedMutex::rdunlock | ( |  | ) | const

inline

Definition at line 76 of file syncprims-cxx11.h.

## wrlock()

void log4cplus::thread::impl::SharedMutex::wrlock | ( |  | ) | const

inline

Definition at line 88 of file syncprims-cxx11.h.

## wrunlock()

void log4cplus::thread::impl::SharedMutex::wrunlock | ( |  | ) | const

inline

Definition at line 112 of file syncprims-cxx11.h.

The documentation for this class was generated from the following files:

- syncprims-impl.h
- syncprims-cxx11.h